## List namespaces. **get** `/accounts/{account_id}/ai-search/namespaces` List namespaces. ### Path Parameters - `account_id: optional string` ### Query Parameters - `order_by: optional "created_at"` Order By Column Name - `"created_at"` - `order_by_direction: optional "asc" or "desc"` Order By Direction - `"asc"` - `"desc"` - `page: optional number` - `per_page: optional number` ### Returns - `result: array of { created_at, name, description }` - `created_at: string` - `name: string` - `description: optional string` Optional description for the namespace. Max 256 characters. - `success: boolean` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "result": [ { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" } ], "success": true } ```